import { useState, useEffect } from "react";
import { MetaMaskEthereumSigner } from "@canvas-js/signers";
export const useCanvasSigner = (ethersSigner, network) => {
    const [signer, setSigner] = useState(null);
    useEffect(() => {
        const newSigner = !ethersSigner || !network ? null : new MetaMaskEthereumSigner(ethersSigner, network);
        setSigner(newSigner);
    }, [ethersSigner, network !== undefined]);
    return signer;
};
